Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.ai_meme_generator.generate(
style={
"search_web": False,
"template": "Drake Hotline Bling",
"topic": "When the code finally works",
},
name="My Funny Meme",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.aiMemeGenerator.generate(
{
name: "My Funny Meme",
style: {
searchWeb: false,
template: "Drake Hotline Bling",
topic: "When the code finally works",
},
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_meme_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_meme_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.AiMemeGenerator.Create(ai_meme_generator.CreateRequest{
Name: nullable.NewValue("My Funny Meme"),
Style: types.V1AiMemeGeneratorCreateBodyStyle{
SearchWeb: nullable.NewValue(false),
Template: types.V1AiMemeGeneratorCreateBodyStyleTemplateEnumDrakeHotlineBling,
Topic: "When the code finally works",
},
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.ai_meme_generator()
.create(magic_hour::resources::v1::ai_meme_generator::CreateRequest {
name: Some("My Funny Meme".to_string()),
style: magic_hour::models::V1AiMemeGeneratorCreateBodyStyle {
search_web: Some(false),
template: magic_hour::models::V1AiMemeGeneratorCreateBodyStyleTemplateEnum::DrakeHotlineBling,
topic: "When the code finally works".to_string(),
},
})
.await;curl --request POST \
--url https://api.magichour.ai/v1/ai-meme-generator \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '
{
"name": "My Funny Meme",
"style": {
"topic": "When the code finally works",
"template": "Drake Hotline Bling",
"searchWeb": false
}
}
'
{
"id": "cuid-example",
"credits_charged": 10
}{
"message": "Missing request body"
}{
"message": "Unauthorized"
}{
"message": "Payment required"
}{
"message": "Not Found"
}{
"message": "Unable to create meme"
}Image Projects
AI Meme Generator API Reference - Magic Hour Docs
Create an AI generated meme. Each meme costs 10 credits.
POST
/
v1
/
ai-meme-generator
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.ai_meme_generator.generate(
style={
"search_web": False,
"template": "Drake Hotline Bling",
"topic": "When the code finally works",
},
name="My Funny Meme",
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.aiMemeGenerator.generate(
{
name: "My Funny Meme",
style: {
searchWeb: false,
template: "Drake Hotline Bling",
topic: "When the code finally works",
},
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_meme_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_meme_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.AiMemeGenerator.Create(ai_meme_generator.CreateRequest{
Name: nullable.NewValue("My Funny Meme"),
Style: types.V1AiMemeGeneratorCreateBodyStyle{
SearchWeb: nullable.NewValue(false),
Template: types.V1AiMemeGeneratorCreateBodyStyleTemplateEnumDrakeHotlineBling,
Topic: "When the code finally works",
},
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.ai_meme_generator()
.create(magic_hour::resources::v1::ai_meme_generator::CreateRequest {
name: Some("My Funny Meme".to_string()),
style: magic_hour::models::V1AiMemeGeneratorCreateBodyStyle {
search_web: Some(false),
template: magic_hour::models::V1AiMemeGeneratorCreateBodyStyleTemplateEnum::DrakeHotlineBling,
topic: "When the code finally works".to_string(),
},
})
.await;Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
Body
application/json
Body
Response
Success
Success
Unique ID of the image. Use it with the Get image Project API to fetch status and downloads.
Example:
"cuid-example"
The amount of credits deducted from your account to generate the image. We charge credits right when the request is made.
If an error occurred while generating the image(s), credits will be refunded and this field will be updated to include the refund.
Example:
10
Was this page helpful?
⌘I